Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.enums
Class StaticLabeledEnumResolver

    java.lang.Object
      org.springframework.core.enums.AbstractCachingLabeledEnumResolver
          org.springframework.core.enums.StaticLabeledEnumResolver

All Implemented Interfaces:
  LabeledEnumResolver

Deprecated. as of Spring 3.0, in favor of Java 5 enums.

    @Deprecated
    public class StaticLabeledEnumResolver

extends AbstractCachingLabeledEnumResolver

`LabeledEnumResolver` that resolves statically defined enumerations. Static implies all enum instances were defined within Java code, implementing the type-safe enum pattern.

Since:
  1.2.2
Author:
  Keith Donald, Juergen Hoeller

Field Summary

Fields inherited from class org.springframework.core.enums.AbstractCachingLabeledEnumResolver
`logger`

Constructor Summary
`StaticLabeledEnumResolver()` Deprecated.

Method Summary
`protected Set<LabeledEnum>` | `findLabeledEnums(Class type)` Deprecated. Template method to be implemented by subclasses.
`static StaticLabeledEnumResolver` | `instance()` Deprecated. Return the shared `StaticLabeledEnumResolver` singleton instance.

Methods inherited from class org.springframework.core.enums.AbstractCachingLabeledEnumResolver
`getLabeledEnumByCode, getLabeledEnumByLabel, getLabeledEnumMap, getLabeledEnumSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticLabeledEnumResolver

    public StaticLabeledEnumResolver()

  Deprecated.

Method Detail

### instance

    public static StaticLabeledEnumResolver instance()

  Deprecated.
  Return the shared `StaticLabeledEnumResolver` singleton instance. Mainly for resolving unique StaticLabeledEnum references on deserialization.

  See Also:
    `StaticLabeledEnum`

### findLabeledEnums

    protected Set<LabeledEnum> findLabeledEnums(Class type)

  Deprecated.
  Description copied from class: `AbstractCachingLabeledEnumResolver`
  Template method to be implemented by subclasses. Supposed to find all LabeledEnum instances for the given type.

  Specified by:
    `findLabeledEnums` in class `AbstractCachingLabeledEnumResolver`
  Parameters:
    `type` - the enum type
  Returns:
    the Set of LabeledEnum instances
  See Also:
    `LabeledEnum`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD